# eric7.WebBrowser.Network.ProtocolHandlerManager

Module implementing the protocol handler manager.

### Global Attributes

None

### Classes

ProtocolHandlerManager | Class implementing the protocol handler manager.

### Functions

None

## ProtocolHandlerManager

Class implementing the protocol handler manager.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

ProtocolHandlerManager | Constructor
__load | Private method to load the registered protocol handlers.
__protocolHandlersFileName | Private method to determine the protocol handlers file name.
__registerHandler | Private method to register a protocol handler for a scheme.
__save | Private method to save the protocol handlers.
__unregisterHandler | Private method to unregister a protocol handler for a scheme.
addProtocolHandler | Public method to add a protocol handler for a scheme.
protocolHandler | Public method to get the protocol handler URL for a given scheme.
protocolHandlers | Public method to get the registered protocol handlers.
removeProtocolHandler | Public method to remove the protocol handler for a given scheme.
showProtocolHandlerManagerDialog | Public method to show the protocol handler manager dialog.

### Static Methods

None

#### ProtocolHandlerManager (Constructor)

ProtocolHandlerManager(parent=None)

Constructor

parent (QObject)
  reference to the parent object

#### ProtocolHandlerManager.__load

__load()

Private method to load the registered protocol handlers.

#### ProtocolHandlerManager.__protocolHandlersFileName

__protocolHandlersFileName()

Private method to determine the protocol handlers file name.

Return:
  name of the protocol handlers file

Return Type:
  str

#### ProtocolHandlerManager.__registerHandler

__registerHandler(scheme, url)

Private method to register a protocol handler for a scheme.

scheme (str)
  scheme of the protocol handler
url (QUrl)
  URL of the protocol handler

#### ProtocolHandlerManager.__save

__save()

Private method to save the protocol handlers.

#### ProtocolHandlerManager.__unregisterHandler

__unregisterHandler(scheme, url)

Private method to unregister a protocol handler for a scheme.

scheme (str)
  scheme of the protocol handler
url (QUrl)
  URL of the protocol handler

#### ProtocolHandlerManager.addProtocolHandler

addProtocolHandler(scheme, url)

Public method to add a protocol handler for a scheme.

scheme (str)
  scheme of the protocol handler
url (QUrl)
  URL of the protocol handler

#### ProtocolHandlerManager.protocolHandler

protocolHandler(scheme)

Public method to get the protocol handler URL for a given scheme.

scheme (str)
  scheme to look for

Return:
  protocol handler URL

Return Type:
  QUrl

#### ProtocolHandlerManager.protocolHandlers

protocolHandlers()

Public method to get the registered protocol handlers.

Return:
  dictionary containing the registered protocol handlers

Return Type:
  dict

#### ProtocolHandlerManager.removeProtocolHandler

removeProtocolHandler(scheme)

Public method to remove the protocol handler for a given scheme.

scheme (str)
  scheme to remove

#### ProtocolHandlerManager.showProtocolHandlerManagerDialog

showProtocolHandlerManagerDialog()

Public method to show the protocol handler manager dialog.

Up